## voamrwbenc voamrwbenc |

## Properties

GstVoAmrWbEncBandMode | band-mode | Read / Write / Construct

## Types and Values

struct | GstVoAmrWbEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstVoAmrWbEnc

## Implemented Interfaces

GstVoAmrWbEnc implements GstPreset.

## Description

AMR wideband encoder based on the

reference codec implementation.

### Example launch line

    1
    gst-launch filesrc location=abc.wav ! wavparse ! audioresample ! audioconvert ! voamrwbenc ! filesink location=abc.amr

Please note that the above stream misses the header, that is needed to play the stream.

## Synopsis

### Element Information

plugin | voamrwbenc
author | Renato Araujo <renato.filho@indt.org.br>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)16000, channels=(int)1

name | src
direction | source
presence | always
details | audio/AMR-WB, rate=(int)16000, channels=(int)1

## Functions

## Types and Values

### struct GstVoAmrWbEnc

    struct GstVoAmrWbEnc;

## Property Details

### The `“band-mode”` property

      “band-mode”                GstVoAmrWbEncBandMode

Encoding Band Mode (Kbps).

Flags: Read / Write / Construct

Default value: MR660

## See Also

GstAmrWbDec, GstAmrWbParse